All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
ethsock.h File Reference
`#include <ptlib/socket.h>`
`#include "unix/ptlib/ethsock.h"`

Go to the source code of this file.

## Classes

class | PEthSocket
| This class describes a type of socket that will communicate using raw ethernet packets. More...
union | PEthSocket::Address
| An ethernet MAC Address specification. More...
struct | PEthSocket::Frame
| An ethernet MAC frame. More...